Subject: bug#57556: 28.1; Eshell not finding executables in PATH when tramp-integration loaded

From: Jim Porter <[email-masked]>
Date: Sat, 8 Oct 2022 15:09:13 -0700

On 10/7/2022 11:28 AM, Michael Albinus wrote:
> Now your ert test passes for me. Changed connection-local.el added.

Thanks, this makes connection-local variables a lot clearer to me. Since 
this seems pretty tricky to get right for people who don't know much 
about connection-local variables, maybe it would make sense to add some 
helper functions for anyone who wants to do something similar?

I attached an updated version of my connection-local.el that tries to 
pull out the additions you made into some helpers. What do you think?